<?xml version="1.0" encoding="UTF-8"?>
<!--
  ~ Copyright (c) 2020 yifu4cloud Authors. All Rights Reserved.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~     http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yifu.cloud.plus.v1.yifu.admin.mapper.SysDiySqlMenuRelMapper">
	<resultMap id="BaseResultMap" type="com.yifu.cloud.plus.v1.yifu.admin.api.entity.SysDiySqlMenuRel">
		<id property="id" column="id"/>
		<result property="sysDataAuthId" column="sys_data_auth_id"/>
		<result property="sysDiySqlId" column="sys_diy_sql_id"/>
		<result property="menuId" column="menu_id"/>
	</resultMap>

	<!-- 通过权限ID，查询信息-->
	<select id="getByMainId" resultMap="BaseResultMap">
		SELECT id,
			   sys_data_auth_id,
			   sys_diy_sql_id,
			   menu_id
		FROM sys_diy_sql_menu_rel
		WHERE sys_data_auth_id = #{mainId}
	</select>

	<delete id="deleteSqlMenuRelByAuthId">
		delete
		from sys_diy_sql_menu_rel
		where sys_data_auth_id = #{mainId}
	</delete>
</mapper>
